/**
 * 开放平台文档 API
 */
import { getRequest } from './api';

export const PREFIX = '/open-platform-home-web/';

// 文档菜单
export const getMenu = params => getRequest(`${PREFIX}tree-menu`, params);

// 获取内容详情
export const getArtical = params => getRequest(`${PREFIX}get-article`, params);

// 获取 api 详情
export const getApi = params => getRequest(`${PREFIX}get-api-detail`, params);

// 错误码
export const getErrorCode = params => getRequest(`${PREFIX}list-error-code`, params);

// 文档搜索
export const getSearchDoc = params => getRequest(`${PREFIX}search-menu`, params);
